package de.fraunhofer.iem.app.kpi.dto

import de.fraunhofer.iem.app.kpi.enumeration.KpiKind
import de.fraunhofer.iem.app.toolRun.entity.ToolRunEntity
import java.sql.Timestamp
import java.time.Instant

data class RawValueKpiCreateDto(val kind: KpiKind, val score: Int) {
    fun toDbObject(toolRun: ToolRunEntity): de.fraunhofer.iem.app.kpi.entity.KPIEntity {
        return de.fraunhofer.iem.app.kpi.entity.KPIEntity(
            kind = this.kind,
            score = this.score,
            createdAt = Timestamp.from(Instant.now()),
            toolRunEntity = toolRun
        )
    }
}
